<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: selection</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: selection</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>
            <span class="ancestors"><a href="module-handleModelData.html">handleModelData</a>~</span>selection<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description"><p>Class representing a socket connection.</p></div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="selection"><span class="type-signature"></span>new selection<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line213">line 213</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    
        <h3 class="subsection-title">Extends</h3>

        


    <ul>
        <li>d3</li>
    </ul>


    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-audio-element.html">audio-element</a></li><li><a href="module-data_selector.html">data_selector</a></li><li><a href="module-handleModelData.html">handleModelData</a></li><li><a href="module-index.html">index</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.startFileExample.html">startFileExample</a></li><li><a href="data.dataviz.html">dataviz</a></li><li><a href="data.dataviz.socketevent.html">socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li></ul><h3>Classes</h3><ul><li><a href="data.handler.d3.html">d3</a></li><li><a href="module-handleModelData-selection.html">selection</a></li></ul><h3>Events</h3><ul><li><a href="data.dataviz.html#.event:socketOnThermdata">socketOnThermdata</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Mon Jul 12 2021 15:26:30 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>